Bpy module DLL load failed

Hello, does bpy module compiled from master will not compatible with different python minor version? In svn lib it was 3.7.4 while my system using 3.7.6, below is print error

Python 3.7.6 (tags/v3.7.6:43364a7ae0, Dec 19 2019, 00:42:30) [MSC v.1916 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import bpy
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: DLL load failed: The application has failed to start because its side-by-side configuration is incorrect. Please see the application event log or use the command-line sxstrace.exe tool for more detail.

Fixed in master, if you already have a build folder, manually set WITH_WINDOWS_BUNDLE_CRT to Off in your CMakeCache.txt file and re-run cmake.

1 Like

Ok, confirm, set WITH_WINDOWS_BUNDLE_CRT = OFF fix the issue, thank you

Can this be added to the Building Blender as a Python Module wiki?

It should no longer be needed with the current codebase, adding things that are no longer valid doesn’t feel like the way to go.

Oh, whoops, I misread. Apologies.